// MultMultiDocTemplate.h: interface for the CMultMultiDocTemplate class.
//
//////////////////////////////////////////////////////////////////////

/*

	author:			Babak Taati ( http://qlink.queensu.ca/~3bt1/ )
	Download link:	http://qlink.queensu.ca/~3bt1/Miscellaneous/Downloads.htm	

	Description:	This is a simple project that allows opening / saving multiple types of documents
  
	References: 	1. MFC Document/View documentation and enhancements, by Roger Allen on CodeProject.com
					2. How to support two file extensions per MFC document type, Micorosft support document Article ID 141921
					3. DocMgrEx.exe Assoc Multiple File Extension w/2 Doc Tyle, Micorosft support document Article ID 198538
					4. Selecting multiple files in File Open dialog, by Kaus Gutter on CodeGuru.com
					5. Opening multiple documents of several types at once, by Ernesto Perales Soto on CodeProject.com

	Date:			Nov 2004

*/

#if !defined(AFX_MULTMULTIDOCTEMPLATE_H__FAFB0C3A_B833_48ED_80CF_B95E765461B0__INCLUDED_)
#define AFX_MULTMULTIDOCTEMPLATE_H__FAFB0C3A_B833_48ED_80CF_B95E765461B0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


//Babak: deriving a class from CMultiDocTemplate
//			source Microsoft support Article ID : 141921 

class CMultMultiDocTemplate : public CMultiDocTemplate  
{
public:
	CMultMultiDocTemplate(UINT nIDResource, CRuntimeClass* pDocClass,CRuntimeClass* pFrameClass, CRuntimeClass* pViewClass );
	virtual ~CMultMultiDocTemplate();
	BOOL GetDocString(CString& rString, enum DocStringIndex i) const;
	CDocTemplate::Confidence MatchDocType(const char* pszPathName, CDocument*& rpDocMatch);

};

#endif // !defined(AFX_MULTMULTIDOCTEMPLATE_H__FAFB0C3A_B833_48ED_80CF_B95E765461B0__INCLUDED_)
